<div class="login-wrapper">
  <div class="login-box-outer">

    <!-- Login form starts here -->
    <form [formGroup]="loginForm">
      <div class="container login-box">
        <h2 class="text-center">Login</h2>
        <br>
        <div class="form-group">
          <label for="exampleInputEmail1">Email address</label>
          <input type="email" class="form-control" id="exampleInputEmail1" placeholder="Email" name="email"
            formControlName="email">
          <span class="red-color"
            *ngIf="(btnClicked || loginForm.get('email').touched) && loginForm.get('email').invalid">
            {{loginForm.get('email').errors['pattern']?'Invalid Email Format':'Email is Required'}}
          </span>
        </div>
        <div class="form-group">
          <label for="exampleInputPassword1">Password</label>
          <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password" name="password"
            formControlName="password">
          <span class="red-color"
            *ngIf="(btnClicked || loginForm.get('password').touched) && loginForm.get('password').invalid">
            {{loginForm.get('password').invalid?'Password is Required':''}}
          </span>
        </div>
        <div class="form-group text-center">
          <button type="button" class="btn btn-info login-button" *ngIf="!this.loginForm.valid"
            (click)="btnClicked = true">Login</button>
          <button type="button" class="btn btn-info login-button" *ngIf="this.loginForm.valid"
            (click)="login()">Login</button>
          <br>
          <br>
          <p>Don't have an account yet? <a [routerLink]="['/register']"><b>Sign Up</b></a></p>
        </div>
      </div>
    </form>
    <!-- Login form ends here -->

  </div>
</div>
